summaryrefslogtreecommitdiffstats
path: root/network/shorewall6/shorewall6.SlackBuild
diff options
context:
space:
mode:
author ArTourter2010-05-12 23:32:47 +0200
committer Robby Workman2010-05-12 23:32:47 +0200
commit22d849dfda1774922358a05907b317ad5b7e7bc4 (patch)
tree2fc83bd9ebc3fb21e856b6a7f853152444e87c20 /network/shorewall6/shorewall6.SlackBuild
parent6b21104f80157a54f33449092451d9ae8e6d7b22 (diff)
downloadslackbuilds-22d849dfda1774922358a05907b317ad5b7e7bc4.tar.gz
network/shorewall6: Added to 12.2 repository
Diffstat (limited to 'network/shorewall6/shorewall6.SlackBuild')
-rw-r--r--network/shorewall6/shorewall6.SlackBuild97
1 files changed, 97 insertions, 0 deletions
diff --git a/network/shorewall6/shorewall6.SlackBuild b/network/shorewall6/shorewall6.SlackBuild
new file mode 100644
index 0000000000..ea378606b4
--- /dev/null
+++ b/network/shorewall6/shorewall6.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for shorewall-common
+
+# Copyright (c) 2008-2009 Gregory J.L. Tourte (artourter@gmail.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=shorewall6
+VERSION=${VERSION:-4.2.10}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+BASEVERS=4.2.10
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$BASEVERS
+tar xvf $CWD/$PRGNAM-$BASEVERS.tar.bz2
+cd $TMP/$PRGNAM-$BASEVERS
+chown -R root:root .
+
+# Patch the base against all the patchlevel patches in order if present
+if [ $(ls $CWD/patches 2>/dev/null | wc -l) -gt 0 ]; then
+ for PATCH in $CWD/patches/* ; do
+ patch -p1 < $PATCH
+ done
+fi
+
+PREFIX=$PKG \
+ OWNER='root' \
+ GROUP='root' \
+ DEST=/etc/rc.d \
+ MANDIR=/usr/man \
+ SLACKWARE=yes \
+ ./install.sh
+
+# Don't clobber config files
+( cd $PKG/etc/shorewall6
+ for i in $(ls|grep -v Makefile) ; do
+ mv $i $i.new;
+ done
+)
+
+( cd $PKG/etc/rc.d
+ mv rc.shorewall6 rc.shorewall6.new
+)
+
+mkdir -p $PKG/var/lock/subsys
+chmod 0755 $PKG/{etc,usr/share,var/lib}/shorewall6 $PKG/var/lock/subsys
+chmod 0644 $PKG/etc/shorewall6/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING INSTALL changelog.txt releasenotes.txt tunnel ipsecvpn Samples6 \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
+# Clean up the extra stuff:
+if [ "$1" = "--cleanup" ]; then
+ rm -rf $TMP/$PRGNAM-$BASEVERS
+ rm -rf $PKG
+fi
+
+# vim: et ts=2